### Function

# Camel utf8_getc_limit

#### Declaration [src]

    guint32
    camel_utf8_getc_limit (
      const guchar** ptr,
      const guchar* end
    )

#### Description [src]

Get the next UTF-8 gchar at `ptr`, and return it, advancing `ptr` to the next character. If `end` is reached before a full UTF-8 character can be read, then the invalid Unicode gchar 0xffff is returned as a sentinel (Unicode 3.1, section 2.7), and `ptr` is not advanced.

#### Parameters

`ptr`

  Type: `const guchar**`

  A pointer to read the character from.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`end`

  Type: `const guchar*`

  Upper limit for the read, must not be `NULL`.

  The data is owned by the caller of the function.

#### Return value

Type: `guint32`

The next UTF-8 char, or 0xffff.